Subject: bug#61436: Emacs Freezing With Java Files

From: Mats Lidell <[email-masked]>
Date: Fri, 13 Oct 2023 20:02:40 +0200

Hi Alan,

> Alan Mackenzie writes:
> Would all concerned please apply the attached patch to the Emacs master
> branch, directory lisp/progmodes.  Then please byte compile CC Mode in
> full (a macro has been changed), and try the result on your real Java
> code.  (If anybody wants any help applying the patch or byte compiling,
> feel free to send me private mail.)  Then please confirm that the bug is
> indeed fixed.  Thanks!

I have verified that there is no freeze with the patch applied for the test
case with the P1.java file. Latest master as of today with native byte
compilation.  (Commit = baf778c7caa) Without the patch the freeze is there. So
is looking good. :-)

Yours
-- 
%% Mats